Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1238780 - Fix FTBFS issues
Summary: Fix FTBFS issues
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: freemarker
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Omair Majid
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1239510 (view as bug list)
Depends On:
Blocks: F23FTBFS
TreeView+ depends on / blocked
 
Reported: 2015-07-02 15:42 UTC by gil cattaneo
Modified: 2015-07-20 19:46 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-20 19:46:14 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
fix FTBFS (deleted)
2015-07-02 15:43 UTC, gil cattaneo
no flags Details | Diff

Description gil cattaneo 2015-07-02 15:42:16 UTC
Currently freemarker fails to build because of old Tomcat APIs references.

Comment 1 gil cattaneo 2015-07-02 15:43:19 UTC
Created attachment 1045545 [details]
fix FTBFS

- adapt to current guideline
- fix some rpmlint problems
- enable javadoc task
- enable maven-upload task for generate pom file

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=10271517

Comment 2 gil cattaneo 2015-07-02 15:59:25 UTC
NOTE:
jython is now in %{_javadir}/jython/jython.jar
should ne changed 
%{__ln_s} -f %{_javadir}/jython.jar     lib/jython.jar
with
%{__ln_s} -f %{_javadir}/jython/jython.jar     lib/jython.jar

and edited PATCH9 (javadoc classpath)
+        <fileset dir="/usr/share/java" includes="jython.jar" />
with
+        <fileset dir="/usr/share/java" includes="jython/jython.jar" />

Comment 3 Jan Kurik 2015-07-15 13:51:20 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 4 Omair Majid 2015-07-20 19:39:52 UTC
*** Bug 1239510 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.